@
Prev | 8.10.1. Bounding Box Operators | Next

## Name

@ — Returns `TRUE` if A's bounding box is contained by B's.

## Synopsis

`boolean @(` geometry A , geometry B `)`;

## Description

The `@` operator returns `TRUE` if the bounding box of geometry A is completely contained by the bounding box of geometry B.

This operand will make use of any indexes that may be available on the geometries.

## Examples

    SELECT tbl1.column1, tbl2.column1, tbl1.column2 @ tbl2.column2 AS contained
    FROM
      ( VALUES
    	(1, 'LINESTRING (1 1, 3 3)'::geometry)) AS tbl1,
      ( VALUES
    	(2, 'LINESTRING (0 0, 4 4)'::geometry),
    	(3, 'LINESTRING (2 2, 4 4)'::geometry),
    	(4, 'LINESTRING (1 1, 3 3)'::geometry)) AS tbl2;

     column1 | column1 | contained
    ---------+---------+-----------
    	   1 |       2 | t
    	   1 |       3 | f
    	   1 |       4 | t
    (3 rows)

## See Also

~, &&

Prev | Up | Next
>> | Home | @(geometry,box2df)